import { getFileDeleteActionProcessor } from './getFileDeleteActionProcessor';
import { getFileExistsActionProcessor } from './getFileExistsActionProcessor';
import { getFileGenerateTemporarySecureUrlActionProcessor } from './getFileGenerateTemporarySecureUrlActionProcessor';
import { getFileListDirectoryActionProcessor } from './getFileListDirectoryActionProcessor';
import { getFileReadBinaryContentsActionProcessor } from './getFileReadBinaryContentsActionProcessor';
import { getFileReadTextContentsActionProcessor } from './getFileReadTextContentsActionProcessor';
import { getFileWriteBinaryContentsActionProcessor } from './getFileWriteBinaryContentsActionProcessor';
import { getFileWriteTextContentsActionProcessor } from './getFileWriteTextContentsActionProcessor';
export const getFileActionProcessor = async (qpqConfig, dynamicModuleLoader) => ({
    ...(await getFileDeleteActionProcessor(qpqConfig, dynamicModuleLoader)),
    ...(await getFileExistsActionProcessor(qpqConfig, dynamicModuleLoader)),
    ...(await getFileGenerateTemporarySecureUrlActionProcessor(qpqConfig, dynamicModuleLoader)),
    ...(await getFileListDirectoryActionProcessor(qpqConfig, dynamicModuleLoader)),
    ...(await getFileReadTextContentsActionProcessor(qpqConfig, dynamicModuleLoader)),
    ...(await getFileWriteTextContentsActionProcessor(qpqConfig, dynamicModuleLoader)),
    ...(await getFileReadBinaryContentsActionProcessor(qpqConfig, dynamicModuleLoader)),
    ...(await getFileWriteBinaryContentsActionProcessor(qpqConfig, dynamicModuleLoader)),
});
